Bug 1073973 - Relax-NG validity error : Element domain failed to validate content
Relax-NG validity error : Element domain failed to validate content
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Xen
Leap 42.2
x86-64 openSUSE 42.2
: P5 - None : Normal (vote)
: ---
Assigned To: James Fehlig
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-22 09:33 UTC by P
Modified: 2018-02-07 17:24 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
The output of "virsh dumpxml opensuse42.3 > opensuse42.3.xml" (1.70 KB, text/xml)
2017-12-22 09:33 UTC, P
Details

Note You need to log in before you can comment on or make changes to this bug.
Description P 2017-12-22 09:33:15 UTC
Created attachment 754161 [details]
The output of "virsh dumpxml opensuse42.3 >  opensuse42.3.xml"

Dumping the XML content of a shut-down Xen domain, that same XML does not validate correctly:

specht:~/tmp # virsh dumpxml opensuse42.3 > opensuse42.3.xml
specht:~/tmp # virt-xml-validate opensuse42.3.xml 
Relax-NG validity error : Extra element devices in interleave
opensuse42.3.xml:21: element devices: Relax-NG validity error : Element domain failed to validate content
opensuse42.3.xml fails to validate

Both VM host and VM client are on Leap 42.3

The resulting XML has been attached to this bug report.
Comment 1 P 2017-12-22 09:37:08 UTC
Sorry, my bad: The Xen VM host is on Leap 42.2, the Xen VM Client is onLeap 42.3
Comment 2 James Fehlig 2017-12-22 22:24:43 UTC
(In reply to Koos Pol from comment #1)
> Sorry, my bad: The Xen VM host is on Leap 42.2, the Xen VM Client is onLeap
> 42.3

You would have noticed the same on a Leap 42.3 host. The bug is fixed by upstream libvirt commit b494e09d

https://libvirt.org/git/?p=libvirt.git;a=commit;h=b494e09d058f09b48d0fd8855edd557101294671

I've backported the patch to the libvirt package in both SLE12 SP2 and SP3 devel projects. It is queued for future maintenance updates. Note that for the libvirt package, SLE12 SP2/3 updates feed Leap 42.2/3 updates.
Comment 3 P 2017-12-23 09:42:16 UTC
I can confirm applying the patch fixes the problem. Thanks!
Comment 7 Swamp Workflow Management 2018-01-30 11:14:24 UTC
SUSE-SU-2018:0279-1: An update that solves one vulnerability and has 9 fixes is now available.

Category: security (moderate)
Bug References: 1035442,1052825,1062571,1062760,1064947,1065766,1070130,1072887,1073973,1076500
CVE References: CVE-2018-5748
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libvirt-3.3.0-5.13.1
SUSE Linux Enterprise Server 12-SP3 (src):    libvirt-3.3.0-5.13.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    libvirt-3.3.0-5.13.1
Comment 8 Swamp Workflow Management 2018-01-31 23:13:12 UTC
openSUSE-SU-2018:0322-1: An update that solves one vulnerability and has 9 fixes is now available.

Category: security (moderate)
Bug References: 1035442,1052825,1062571,1062760,1064947,1065766,1070130,1072887,1073973,1076500
CVE References: CVE-2018-5748
Sources used:
openSUSE Leap 42.3 (src):    libvirt-3.3.0-12.1
Comment 9 Swamp Workflow Management 2018-02-07 17:24:23 UTC
SUSE-SU-2018:0385-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (moderate)
Bug References: 1070130,1072887,1073973,1076500
CVE References: CVE-2018-5748
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    libvirt-2.0.0-27.29.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    libvirt-2.0.0-27.29.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    libvirt-2.0.0-27.29.1
SUSE Linux Enterprise Server 12-SP2 (src):    libvirt-2.0.0-27.29.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    libvirt-2.0.0-27.29.1